Skip to main content
GET
List Member Activity

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

memberId
string
required

Unique loyalty card assigned to a particular customer.

Example:

"MmFAzfDe"

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
order
enum<string>

Apply this filter to order the events according the date and time when it was created. The dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at
starting_after_id
string

A cursor for pagination. It retrieves the events starting after an event with the given ID.

Response

Returns a list of event objects related to the loyalty card.

Response body schema for retrieving member activity.

object
enum<string>
default:list
required

The type of the object represented by JSON. This object stores information about member activities in a dictionary.

Available options:
list
data_ref
string
default:data
required

Identifies the name of the attribute that contains the array of member activity objects.

data
Member Activity · object[]
required

Array of member activity objects.

has_more
boolean
required

As query results are always limited (by the limit parameter), the has_more flag indicates if there are more records for given filter parameters. This lets you know if you can run another request with a starting_after_id query or a different limit to get more records returned in the results.

more_starting_after
string

Returns an ID that can be used to return another page of results. Use the event ID in the starting_after_id query parameter to display another page of the results starting after the event with that ID.

Last modified on May 19, 2026